Subject: Re: Xilinx Virtex4 FX PPC

From: Robert Woodworth <[email-masked]>
Date: Mon, 20 Aug 2007 11:26:57 -0600

On Mon, 2007-08-20 at 11:35 -0500, Josh Boyer wrote:
> On Mon, 20 Aug 2007 10:00:54 -0600
> Robert Woodworth <[email-masked]> wrote:
> 
> > Problem 2:  Build my own rootfs.
> > If I try to build my own programs (busybox and bash at this point) with
> > shared libc using the same glibc from my toolchain, I get an "Illegal
> > instruction" error.  Is my glibc not compatible with my Xilinx PPC 405??
> > 
> > 
> > If I try to build a rootfs with debian ppc packages I have the same
> > "Illegal instruction" error.
> > 
> > 
> > 
> > Question 1:
> > Do I need a special glibc for the Xilinx PPC 405????  
> > Does a normal PPC glibc have more "advanced" instructions compiled in
> > that will not work on a Xilinx PPC 405??
> 
> Make sure you're building glibc with soft-fp, or make sure you have
> CONFIG_MATH_EMULATION enabled in your kernel.  The PPC 405 doesn't have
> an FPU.
> 
> josh

CONFIG_MATH_EMULATION fixed it!!

What are the opinions out there? 
Kernel fp or glibc soft-fp??

I don't have a need for floating point in my final application anyway.